Package org.eclipse.graphiti.features

# Interface IRemoveFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`, `IRemove`

All Known Implementing Classes:
  `DefaultRemoveFeature`, `RemoveFeatureForPattern`

public interface IRemoveFeature extends IFeature, IRemove
This feature is for removing pictogram elements from a diagram. Remove features must not modify any business content.

## Method Summary

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Methods inherited from interface org.eclipse.graphiti.func.IRemove

`canRemove, isRemoveAbort, postRemove, preRemove, remove`